public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Louis Sautier" <sbraz@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: net-irc/znc/
Date: Sun, 31 Mar 2019 22:57:03 +0000 (UTC)	[thread overview]
Message-ID: <1554072994.a9cc051e15e39e75565eb2acf397f8eaad21cb0f.sbraz@gentoo> (raw)

commit:     a9cc051e15e39e75565eb2acf397f8eaad21cb0f
Author:     Louis Sautier <sbraz <AT> gentoo <DOT> org>
AuthorDate: Sun Mar 31 22:55:10 2019 +0000
Commit:     Louis Sautier <sbraz <AT> gentoo <DOT> org>
CommitDate: Sun Mar 31 22:56:34 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a9cc051e

net-irc/znc: bump to 1.7.3, fixes CVE-2019-9917

Bug: https://bugs.gentoo.org/681864
Package-Manager: Portage-2.3.62, Repoman-2.3.12
Signed-off-by: Louis Sautier <sbraz <AT> gentoo.org>

 net-irc/znc/Manifest         |   1 +
 net-irc/znc/znc-1.7.3.ebuild | 182 +++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 183 insertions(+)

diff --git a/net-irc/znc/Manifest b/net-irc/znc/Manifest
index 5c3a7e5e7aa..a57a86eff9b 100644
--- a/net-irc/znc/Manifest
+++ b/net-irc/znc/Manifest
@@ -2,3 +2,4 @@ DIST gtest-1.8.1.tar.gz 992298 BLAKE2B 40ef3417fe424205c0617f07207347ce671ac8760
 DIST gtest-ba96d0b1161f540656efdaed035b3c062b60e006.tar.gz 987370 BLAKE2B fcedfe559c4c93166962900117dc492da3cbb99165c30766c39131c20e3b41f057a31a8cb631beaca829c1e9966e90cbc37469ba56a5fc15a2bea86cbe401a63 SHA512 ce78098f973b45f4a177db387c42a56d5ea34407a2af278760b850c326e8450760a58991d62a5408f5df79f89fefd10fee71745b7e8669b2a6f74fa63a259600
 DIST znc-1.7.1.tar.gz 2041669 BLAKE2B 57ead136e28b0fc4a875802ef89ef004213789e68d19ceeab15c6fac6fe51ea51618764c484ea618fc6359d9c15cc7ffcf5529642d730b9217a4f127e92d9ae6 SHA512 907068fb0828091026d440145b70ca76109302f13c18d94f772660192434287f209a06a52da1dd39726b9a38735b3cea9afbd062eb6def4cd428bb73c562a902
 DIST znc-1.7.2.tar.gz 2083306 BLAKE2B 907581df536d9bab15964f6fcecbbf660403c39368b984ab1d2957bd43c4a90ca0694844b41786dab5495a4f4dccd675eaa54189782d47683e013d1faf9cc368 SHA512 fcc67bf676e066db64d62584ff8ecfd63280b3237e88dcbe18ab0b78a9b5f4dc202b589876b6fc14c6092ca5509937bc170a54fba44df2aeb1645cca02afe577
+DIST znc-1.7.3.tar.gz 2084575 BLAKE2B 4d8f76abef8bf2c5f96d9bd04716cd2debae2b2fcd3b8688aa715af6ef09e60c2aac203c5c7b32d2f4d56730f30dbbe9abd5eeec4f07e7580900dcb1cd164530 SHA512 4cd63be2cb3bc1e3950f38984b128c6511bd1b9fc01a00d51cfcdc46826c2dedad120d6ed8e30d9c400909e33d39b2b14579fb40ee1e3508b7f3a07eff3a15d8

diff --git a/net-irc/znc/znc-1.7.3.ebuild b/net-irc/znc/znc-1.7.3.ebuild
new file mode 100644
index 00000000000..b8d5eb3df8f
--- /dev/null
+++ b/net-irc/znc/znc-1.7.3.ebuild
@@ -0,0 +1,182 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{4,5,6,7} )
+
+inherit cmake-utils python-single-r1 readme.gentoo-r1 systemd user
+
+GTEST_VER="1.8.1"
+GTEST_URL="https://github.com/google/googletest/archive/${GTEST_VER}.tar.gz -> gtest-${GTEST_VER}.tar.gz"
+DESCRIPTION="An advanced IRC Bouncer"
+
+if [[ ${PV} == *9999* ]]; then
+	inherit git-r3
+	EGIT_REPO_URI=${EGIT_REPO_URI:-"https://github.com/znc/znc.git"}
+	SRC_URI=""
+else
+	MY_PV=${PV/_/-}
+	MY_P=${PN}-${MY_PV}
+	SRC_URI="
+		https://znc.in/releases/archive/${MY_P}.tar.gz
+		test? ( ${GTEST_URL} )
+	"
+	KEYWORDS="~amd64 ~arm ~x86"
+	S=${WORKDIR}/${MY_P}
+fi
+
+HOMEPAGE="https://znc.in"
+LICENSE="Apache-2.0"
+SLOT="0"
+IUSE="+ipv6 +icu libressl nls perl python +ssl sasl tcl test +zlib"
+
+REQUIRED_USE="python? ( ${PYTHON_REQUIRED_USE} icu )"
+
+RDEPEND="
+	icu? ( dev-libs/icu:= )
+	nls? ( dev-libs/boost:=[nls] )
+	perl? ( >=dev-lang/perl-5.10:= )
+	python? ( ${PYTHON_DEPS} )
+	sasl? ( >=dev-libs/cyrus-sasl-2 )
+	ssl? (
+		!libressl? ( dev-libs/openssl:0= )
+		libressl? ( dev-libs/libressl:0= )
+	)
+	tcl? ( dev-lang/tcl:0= )
+	zlib? ( sys-libs/zlib:0= )
+"
+DEPEND="
+	${RDEPEND}
+	virtual/pkgconfig
+	nls? ( sys-devel/gettext )
+	perl? ( >=dev-lang/swig-3.0.0 )
+	python? ( >=dev-lang/swig-3.0.0 )
+	test? ( dev-qt/qtnetwork:5 )
+"
+
+PATCHES=( "${FILESDIR}"/${PN}-1.7.1-inttest-dir.patch )
+
+pkg_setup() {
+	if use python; then
+		python-single-r1_pkg_setup
+	fi
+
+	enewgroup ${PN}
+	enewuser ${PN} -1 -1 /var/lib/${PN} ${PN}
+	# The home directory was previously set to /dev/null
+	# This caused a bug with the systemd unit
+	# https://bugs.gentoo.org/521916
+	esethome ${PN} /var/lib/${PN}
+}
+
+src_prepare() {
+	# Let SWIG rebuild modperl/modpython to make user patching easier.
+	if [[ ${PV} != *9999* ]]; then
+		rm modules/modperl/generated.tar.gz || die
+		rm modules/modpython/generated.tar.gz || die
+	fi
+
+	sed -i -e "s|DZNC_BIN_DIR:path=|DZNC_BIN_DIR:path=${T}/inttest|" \
+		test/CMakeLists.txt || die
+
+	cmake-utils_src_prepare
+}
+
+src_configure() {
+	local mycmakeargs=(
+		-DWANT_SYSTEMD=yes  # Causes -DSYSTEMD_DIR to be used.
+		-DSYSTEMD_DIR="$(systemd_get_systemunitdir)"
+		-DWANT_ICU="$(usex icu)"
+		-DWANT_IPV6="$(usex ipv6)"
+		-DWANT_I18N="$(usex nls)"
+		-DWANT_PERL="$(usex perl)"
+		-DWANT_PYTHON="$(usex python)"
+		-DWANT_CYRUS="$(usex sasl)"
+		-DWANT_OPENSSL="$(usex ssl)"
+		-DWANT_TCL="$(usex tcl)"
+		-DWANT_ZLIB="$(usex zlib)"
+	)
+
+	if [[ ${PV} != *9999* ]] && use test; then
+		export GTEST_ROOT="${WORKDIR}/googletest-release-${GTEST_VER}/googletest"
+		export GMOCK_ROOT="${WORKDIR}/googletest-release-${GTEST_VER}/googlemock"
+	fi
+
+	cmake-utils_src_configure
+}
+
+src_test() {
+	cmake-utils_src_make unittest
+	if has network-sandbox ${FEATURES}; then
+		DESTDIR="${T}/inttest" cmake-utils_src_make install
+		local filter='-'
+		if ! use perl; then
+			filter="${filter}:ZNCTest.Modperl*"
+		fi
+		if ! use python; then
+			filter="${filter}:ZNCTest.Modpython*"
+		fi
+		# CMAKE_PREFIX_PATH and CXXFLAGS are needed for znc-buildmod
+		# invocations from inside the test
+		GTEST_FILTER="${filter}" ZNC_UNUSUAL_ROOT="${T}/inttest" \
+			CMAKE_PREFIX_PATH="${T}/inttest/usr/share/znc/cmake" \
+			CXXFLAGS="${CXXFLAGS} -isystem ${T}/inttest/usr/include" \
+			cmake-utils_src_make inttest
+	else
+		# TODO: don't require sandbox after
+		# https://github.com/znc/znc/pull/1363 is implemented
+		ewarn "FEATURES=-network-sandbox; skipping integration tests which"
+		ewarn "temporary open local ports."
+	fi
+}
+
+src_install() {
+	cmake-utils_src_install
+
+	dodoc NOTICE
+	newinitd "${FILESDIR}"/znc.initd-r2 znc
+	newconfd "${FILESDIR}"/znc.confd-r1 znc
+
+	DOC_CONTENTS=$(<"${FILESDIR}/README.gentoo-r1") || die
+	DISABLE_AUTOFORMATTING=1
+	readme.gentoo_create_doc
+}
+
+pkg_postinst() {
+	if [[ -z "${REPLACING_VERSIONS}" ]]; then
+		# This is a new installation
+		readme.gentoo_print_elog
+	fi
+
+	if [[ -d "${EROOT%/}"/etc/znc ]]; then
+		ewarn "${EROOT%/}/etc/znc exists on your system."
+		ewarn "Due to the nature of the contents of that folder,"
+		ewarn "we have changed the default configuration to use"
+		ewarn "	${EROOT%/}/var/lib/znc"
+		ewarn "please move ${EROOT%/}/etc/znc to ${EROOT%/}/var/lib/znc"
+		ewarn "or adjust your service configuration."
+	fi
+}
+
+pkg_config() {
+	if [[ -e "${EROOT%/}/var/lib/znc" ]]; then
+		ewarn "${EROOT%/}/var/lib/znc already exists, aborting to avoid damaging"
+		ewarn "any existing configuration. If you are sure you want"
+		ewarn "to generate a new configuration, remove the folder"
+		ewarn "and try again."
+	else
+		einfo "Press enter to interactively create a new configuration file for znc."
+		einfo "To abort, press Control-C"
+		read
+		mkdir -p "${EROOT%/}/var/lib/znc" || die
+		chown -R ${PN}:${PN} "${EROOT%/}/var/lib/znc" ||
+			die "Setting permissions failed"
+		start-stop-daemon --start --user ${PN}:${PN} --env ZNC_NO_LAUNCH_AFTER_MAKECONF=1 \
+			"${EROOT%/}"/usr/bin/znc -- --makeconf --datadir "${EROOT%/}/var/lib/znc" ||
+			die "Config failed"
+		einfo
+		einfo "You can now start the znc service using the init system of your choice."
+		einfo "Don't forget to enable it if you want to use znc at boot."
+	fi
+}


             reply	other threads:[~2019-03-31 22:57 UTC|newest]

Thread overview: 113+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2019-03-31 22:57 Louis Sautier [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-07-03 20:35 [gentoo-commits] repo/gentoo:master commit in: net-irc/znc/ Sam James
2024-07-03 20:35 Sam James
2024-07-03 20:32 Sam James
2024-07-03 20:32 Sam James
2024-07-03 19:31 Sam James
2024-05-29  6:26 Jakov Smolić
2024-05-29  6:26 Jakov Smolić
2024-05-28 12:29 Michał Górny
2024-02-28 21:56 Louis Sautier
2024-02-28 21:39 Jakov Smolić
2024-02-28 20:50 Jakov Smolić
2024-02-28  2:31 Sam James
2024-02-28  2:31 Sam James
2024-02-28  2:31 Sam James
2024-02-28  0:20 Louis Sautier
2023-11-07 20:55 Louis Sautier
2023-11-07 12:43 Louis Sautier
2023-03-14 12:24 Louis Sautier
2023-03-13 21:24 Sam James
2023-03-13 20:51 Sam James
2023-03-13 20:51 Sam James
2023-03-13 20:35 Arthur Zamarin
2022-11-05 18:43 Louis Sautier
2022-08-23 18:36 Arthur Zamarin
2022-08-07 16:01 Louis Sautier
2022-08-07 16:01 Louis Sautier
2022-06-06 11:02 Jakov Smolić
2022-06-06 11:02 Jakov Smolić
2022-06-06  9:32 Jakov Smolić
2022-06-06  6:53 Jakov Smolić
2022-04-28  8:43 Yixun Lan
2022-04-28  8:41 Yixun Lan
2021-08-24 19:26 Louis Sautier
2021-08-24 19:26 Louis Sautier
2021-06-01 18:07 Louis Sautier
2021-04-30  9:54 Mikle Kolyada
2020-11-12 16:50 Sam James
2020-11-12  0:35 Thomas Deutschmann
2020-11-08  0:32 Sam James
2020-11-08  0:32 Sam James
2020-09-09 21:31 Sam James
2020-09-08  0:53 Sam James
2020-09-07 23:44 Louis Sautier
2020-09-07 23:26 Louis Sautier
2020-08-22  5:43 Agostino Sarubbo
2020-08-18  9:16 Sam James
2020-08-17 14:52 Agostino Sarubbo
2020-08-17 14:07 Agostino Sarubbo
2020-06-12 16:33 Louis Sautier
2020-06-12 11:07 Louis Sautier
2020-06-12 11:07 Louis Sautier
2020-05-08 17:10 Agostino Sarubbo
2020-05-04 14:38 Agostino Sarubbo
2020-05-04  6:43 Agostino Sarubbo
2020-05-04  6:16 Mart Raudsepp
2020-04-23  7:20 Louis Sautier
2019-09-28 22:30 Louis Sautier
2019-07-28 23:05 Louis Sautier
2019-07-28 20:18 Mikle Kolyada
2019-07-26 10:21 Louis Sautier
2019-06-25 22:05 Louis Sautier
2019-06-20  9:27 Mikle Kolyada
2019-06-18 18:24 Thomas Deutschmann
2019-06-16 14:03 Louis Sautier
2019-04-07 22:50 Louis Sautier
2019-04-07 21:42 Mikle Kolyada
2019-04-02  9:28 Mikle Kolyada
2019-04-01 17:21 Thomas Deutschmann
2019-01-27 14:38 Louis Sautier
2019-01-27 14:38 Louis Sautier
2018-07-19 11:04 Louis Sautier
2018-07-17 22:54 Louis Sautier
2018-07-16  1:11 Mikle Kolyada
2018-07-15 23:37 Mikle Kolyada
2018-07-15 23:31 Thomas Deutschmann
2018-07-15 22:40 Louis Sautier
2018-07-15 22:40 Louis Sautier
2018-06-18 10:34 Louis Sautier
2018-05-15 18:03 Michał Górny
2018-05-15 18:03 Michał Górny
2018-03-14 16:57 Michał Górny
2018-03-14 16:57 Michał Górny
2018-01-10  8:15 Michał Górny
2017-12-17 21:18 Thomas Deutschmann
2017-12-17 21:18 Thomas Deutschmann
2017-08-18 23:26 Thomas Deutschmann
2017-07-24 17:59 Markus Meier
2017-07-19 18:06 Tobias Klausmann
2017-07-17 10:19 Aaron Swenson
2017-04-01 12:12 David Seifert
2017-04-01 12:12 David Seifert
2017-01-04 15:55 Thomas Deutschmann
2016-12-26 23:35 Thomas Deutschmann
2016-12-26 23:35 Thomas Deutschmann
2016-12-23  3:17 Sam Jorna
2016-12-23  3:17 Sam Jorna
2016-12-11 15:21 Michał Górny
2016-12-02 19:08 Michał Górny
2016-12-02 19:08 Michał Górny
2016-12-02 19:08 Michał Górny
2016-11-11 11:19 Agostino Sarubbo
2016-11-11 11:19 Agostino Sarubbo
2016-11-10 17:44 Markus Meier
2016-09-03 17:17 Mike Gilbert
2016-08-07  6:52 Pacho Ramos
2016-03-25 20:46 Andreas Hüttel
2016-03-21 14:17 Ian Delaney
2016-03-21 13:11 Ian Delaney
2016-03-21 13:11 Ian Delaney
2015-09-15 15:41 Julian Ospald
2015-09-15 15:41 Julian Ospald
2015-08-09 18:03 Mikle Kolyada

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1554072994.a9cc051e15e39e75565eb2acf397f8eaad21cb0f.sbraz@gentoo \
    --to=sbraz@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox